Subject: IPP>MOD 26Sep97, questions and typos

From: Rick Yardumian <[email-masked]>
Date: Sat, 29 Mar 1997 01:56:21 PST

Hi,

I'm working on the Xerox IPP prototype. While reading the Model spec I came up with these questions. 

I also have a list of typos at the end of this message for whomever is currently editing this spec.

Questions:
- Section 5.2, page 40: The following quote suggests where a client should get the possible job attribute values to display for user selection during job submission. "If a client GUI wishes to present a user with a list of values to choose from then the client program should perform the Get Attributes operation to a printer URL using the group job-template in order to get the complete list of attributes that a client can specify."  In section 4.2.3.2, "A printer may choose, for security reasons, not to return all attributes that a client requests."  What should a client display if the Get Attributes operation returns nothing?  Is it being assumed that printers which do not return attributes would require a client which has built in knowledge of the printer?

- Section 5.2.2.2.1, page 43:  urlScheme is not defined anywhere.  I'm assuming the values are email, http, etc. but it needs to be defined.

- Section 5.2.4, page 46 bottom: In the following statement, why would a printer assume the resources are available, i.e. doesn't the printer know what resources it has?  "If any of these attributes is unspecified, the Printer shall assume that all the resources required by the document of the type specified by the missing attributes are ready, i.e., are available to the Printer and/or output device without human intervention."

- Section 5.2.4, page 47 top: I don't understand this statement, "Each attribute which is of type keyword in this ection also has a special value: "ignore" which is useful for a file type, such as PostScript, which the Printer may not allow changes to."  Does this mean ignore what is in embedded in the PostScript document data and use the Printer default?

- Section 5.2.5.6 Why is copies limited to 2**31-1 rather than 2**32-1?  I'm assuming that the negative values are not allowed for copies.  I doubt if anyone will ever use the full range but I'm curious.  I have the same question for section 5.2.8.1, number-of-documents. 

- Section 5.4.1.3, page 81: I don't understand why the following statement is needed. "A Printer shall save the document data to a file and reference it with the document-URL."  Why does a printer have to save the document data?  Doesn't this force the printer to spool jobs?  How do printers with limited memory handle this requirement?

Typos - Ignore if you're not editing the spec.

page 19, section 3.5, line 3 needs the word "a" after "as" and before "specific" in the sentence "That is a Printer object is defined as specific set of attributes ..."

page 19, section 3.5, near line 20: two consecutive commas

page 20, last paragraph: Move the double quote.
IS: "multiple-documents-are attribute"
SHOULD BE: "multiple-documents-are" attribute

page 21, line 8: delete the space before period.

page 21, section 3.6, "forst" should be "first"

page 27, section 4.2.3.1, format paragraph:
IS: "the client must the format"
SHOULD BE: "the cient must put the format"

page 36, section 5.2.1, line 3: change "as" to "has"
IS: "The Printer attribute as a similar"
SHOULD BE: "The Printer attribute has a similar"

page 37, last sentence: change "the" to "to"
IS: "know how the handle the values"
SHOULD BE: "know how to handle the values"

page 48, section 5.2.4.2.1, line 8: "processes" should be "processed"

page 50, paragraph 2, last line: "freed" should be "feed"

page 57, section 5.2.5.2.2: Double periods in first sentence.

page 63, section 5.2.5.8: "compression" should be "compressing"

page 64, section 5.2.5.8.2: Second sentence needs a period.

page 84, section 5.6.1.1, second paragraph, last line has double periods.

The end.

Rick